Bug 427805 - Highlight changed settings has problems with localized places locations
Summary: Highlight changed settings has problems with localized places locations
Status: CONFIRMED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_desktoppath (show other bugs)
Version: 5.20.0
Platform: Manjaro Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-16 14:06 UTC by Claudius Ellsel
Modified: 2022-08-29 20:45 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of the problem (244.52 KB, image/png)
2020-10-16 14:06 UTC, Claudius Ellsel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Claudius Ellsel 2020-10-16 14:06:37 UTC
Created attachment 132413 [details]
Screenshot of the problem

SUMMARY
-> See title

STEPS TO REPRODUCE
1. Use a localized KDE version (German in my example)

OBSERVED RESULT
Place directories (applications - places) that are localized (like "Dokumente" instead of "Documents") are highlighted as a changed setting. If I reset them to the presets they get changed to English path names.

EXPECTED RESULT
Take localization into consideration

SOFTWARE/OS VERSIONS
Operating System: Manjaro Linux
KDE Plasma Version: 5.20.0
KDE Frameworks Version: 5.75.0
Qt Version: 5.15.1
Kernel Version: 5.8.14-1-MANJARO
OS Type: 64-bit
Processors: 4 × Intel® Xeon® CPU E3-1225 v3 @ 3.20GHz
Memory: 11.6 GiB of RAM
Graphics Processor: Mesa DRI Intel® HD Graphics P4600/P4700

ADDITIONAL INFORMATION
Did not find the correct KCM, so filed under general.
Comment 1 David Redondo 2020-10-19 08:33:24 UTC
We hardcode the default settings in there. On my system I have a /etc/xdg/user-dirs.defaults which is also not localized. Maybe we could abuse xdg-users-dirs-update --dummy-output or should we just wrap the hardcoded strings in i18n calls?
Comment 2 Bug Janitor Service 2020-12-02 15:00:43 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/252
Comment 3 Méven Car 2021-03-18 06:54:52 UTC
Git commit 0bceb1a4a874ae7f2ebd61048cf3cfb0fb7fb389 by Méven Car, on behalf of Méven Car.
Committed on 18/03/2021 at 06:54.
Pushed by meven into branch 'master'.

Desktop path settings: translate default paths using xdg-user-dir translations

Reuse xdg-user-dir translation, this makes plasma-desktop depend on xdg-user-dir which is already implicitly the case.
FIXED-IN: 5.22

M  +7    -0    CMakeLists.txt
A  +12   -0    cmake/modules/FindXdgUserDir.cmake
M  +8    -6    kcms/desktoppaths/desktoppathssettings.cpp

https://invent.kde.org/plasma/plasma-desktop/commit/0bceb1a4a874ae7f2ebd61048cf3cfb0fb7fb389
Comment 4 Patrick Silva 2021-03-24 13:01:10 UTC
This bug persists on neon unstable. My location is pt-br.

$ localectl
   System Locale: LANG=pt_BR.UTF-8
       VC Keymap: br-abnt2
      X11 Layout: br


Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.21.80
KDE Frameworks Version: 5.81.0
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 5 David Redondo 2022-04-22 18:12:38 UTC
seems to work for me still with German

Does it depend on locale?
Comment 6 Claudius Ellsel 2022-08-29 16:41:27 UTC
With German, this works for me. Is this still an issue with other locales?
Comment 7 Patrick Silva 2022-08-29 20:45:50 UTC
I have changed Plasma language from American English to brazilian portuguese, but the places in Locations KCM are still in english (is this expected?) and they are highlighted. After click on 'Defaults' button, the places change to brazilian portuguese and they are no longer highlighted.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.25.80
KDE Frameworks Version: 5.98.0
Qt Version: 5.15.5
Graphics Platform: Wayland